Subject: Re: [bug#61253] [PATCH core-updates 00/19] Add license files missing from font packages

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 21 Jan 2024 23:37:52 -0500

Hi Simon,

Simon South <[email-masked]> writes:

> This patch series adds license files missing from 29 font packages[0] that use
> font-build-system.  It also modifies font-build-system to expose the
> #:license-file-regexp argument it inherits and provide a custom, more specific
> default value for it, both of which should help future font-package authors
> ensure license files are installed correctly.
>
> For testing, note you may need to first apply the patches attached to issues
> 61039, 61119 and 61120[1] to avoid unrelated build failures.  In preparing
> this current set of patches I considered a license file "missing" if it is the
> only relevant file in the source package, is referred to by another license
> file or qualifies the license in some way (for instance, a README file
> specifying an exception to the GPL).
>
> In cases where I've changed a package source's fetch method (such as from
> "url-fetch/zipbomb" to "url-fetch") this was done to ensure the correct
> working directory is selected when the install-license-files build phase runs,
> and is related to the unpack phase's magical behaviour of choosing an
> arbitrary subdirectory to enter before it completes[2].
>
> I've tested these changes on x86-64 and AArch64 and everything seems fine.

Thanks for this comprehensive series!  I've installed it to
core-updates.

-- 
Thanks,
Maxim